<?php
// simply checks if a choice is correct or not
function wtpsd_get_result() {
	global $wpdb;
	
	$answer = $wpdb->get_row($wpdb->prepare("SELECT question_id, correct FROM {$wpdb->prefix}watupro_answer
		WHERE ID=%d", $_POST['answer_id']));
		
	// is the question a survey question?
	$is_survey = $wpdb->get_var($wpdb->prepare("SELECT is_survey FROM ".WATUPRO_QUESTIONS." WHERE ID=%d", $answer->question_id));
	if($is_survey) die("SURVEY|");	
		
	echo $answer->correct;
	
	// reveal also the correct answer?
	if(!$answer->correct and get_option('wtpsd_display_correct')) {
		$question_type = $wpdb->get_var($wpdb->prepare("SELECT answer_type FROM {$wpdb->prefix}watupro_question WHERE ID=%d", $answer->question_id));
		if($question_type == 'radio') {
			$correct_answer_id = $wpdb->get_var($wpdb->prepare("SELECT ID FROM {$wpdb->prefix}watupro_answer 
				WHERE question_id=%d AND correct='1'", $answer->question_id));
				
			if(!empty($correct_answer_id)) {
				echo "|".$correct_answer_id;
			}
		}
	}
	exit;
}