<div class="wrap">
	<h1>WatuPRO Simple Designer Options</h1>
	
	<p>WatuPRO Simple Designer changes the way WatuPRO Quizzes look. Instead of clicking on radio buttons and checkboxes the user cliks on colored rectangles that contain your answers. You can also automatically show correct / incorrect answer immediately after selecting.<br>
	Here you can choose the colors and which quizzes will be affected by the alternative design.</p>
	
	<form method="post">
		<p><label>Color of the divs (rectangles)</label> <input type="text" name="default_color" value="<?php echo get_option('wtpsd_default_color');?>"></p>
		<p><label>Color of selected div</label> <input type="text" name="checked_color" value="<?php echo get_option('wtpsd_checked_color');?>"></p>
		<p><input type="checkbox" name="display_result" <?php if($display_result=='1') echo 'checked';?> value="1" onclick="this.checked ? jQuery('#singleChoiceExtraSetting').show() : jQuery('#singleChoiceExtraSetting').hide();"> Immediately show if the selected answer is correct or not.</p>
		<p id="singleChoiceExtraSetting" style="display:<?php echo ($display_result == 1) ? 'block' : 'none'?>;"><input type="checkbox" name="display_correct" <?php if(get_option('wtpsd_display_correct')=='1') echo 'checked';?> value="1"> When user's answer is wrong, reveal which is the correct answer (only for single-choice questions).</p>
		
		<h2>Apply to these quizzes:</h2>
		
		<?php foreach($quizzes as $quiz):?>
			<p><input type="checkbox" name="quizzes[]" value="<?php echo $quiz->ID?>" <?php if(@in_array($quiz->ID, $selected_quizzes)) echo 'checked'?>> <?php echo $quiz->name?></p>
		<?php endforeach;?>
		
		
		<p><input type="submit" value="Save Settings"></p>
		<input type="hidden" name="ok" value="1">
	</form>
	
	<h2>Other Shortcodes</h2>
	
	<p>The below shortcodes give you the option to output tabs for question categories. It will work only for quizzes paginated "One page per question categories" so only the shortcodes for these quizzes are shown below.</p>
	
	<p>The category tabs shortcodes work independently from the design change configurable above - you can use the shortcodes with or without the changed design.</p>
	
	<p><b>Place this shortcode above the [WATUPRO ] shortcode in the post where you publish your quiz. </b></p>
	
	<?php if(sizeof($category_quizzes)):?>
		<table class="widefat">
			<tr><th>Quiz</th><th>Shortcode</th></tr>
			<?php foreach($category_quizzes as $quiz):?>
				<tr><td><?php echo $quiz->name?></td><td><input type="text" size="30" readonly="readonly" onclick="this.select()" value='[wtpsd-category-tabs quiz_id="<?php echo $quiz->ID?>"]'></td></tr>
			<?php endforeach;?>
		</table>
	<?php else:?>
		<p>There are no quizzes that are paginated "One page per question category".</p>
	<?php endif;?>
</div>